Yes, Docly is compatible with WordPress 5.0 and higher versions.